using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Plus.Communication.Packets.Outgoing.Notifications
{
    class TargetOfferComposer : ServerPacket
    {
        public TargetOfferComposer()
            : base(ServerPacketHeader.TargetOfferMessageComposer)
        {
            base.WriteInteger(1);
            base.WriteInteger(190);
            base.WriteString("bf16_tko_gr1");
            base.WriteString("bf16_tko1");
            base.WriteInteger(105); //Credits 
            base.WriteInteger(105); //Diamonds 
            base.WriteInteger(5);
            base.WriteInteger(2);
            base.WriteInteger(259199); //3 Days ... time in seconds 
            base.WriteString("targeted.offer.bf16_tko_gr1.title"); //Title 
            base.WriteString("targeted.offer.bf16_tko_gr1.desc"); //Description 
            base.WriteString("targetedoffers/tko_xmas16.png"); //Image Large 
            base.WriteString("targetedoffers/tto_blkfri_20_small.png"); //Image on Close Notification 
            base.WriteInteger(1);
            base.WriteInteger(15);
            base.WriteString("HC_1_MONTH_INTERNAL"); //1 Month HC 
            base.WriteString("xmas13_snack"); //Snack 
            base.WriteString("deal_10bronzecoins"); //10 Credits  
            base.WriteString("xmas_c15_roof1"); //Roof Building 
            base.WriteString("xmas12_snack"); //Snack 
            base.WriteString("deal_10bronzecoins"); //10 Credits 
            base.WriteString("deal_10bronzecoins"); //10 Credits 
            base.WriteString("xmas_c15_buildmid1"); //Building 1 
            base.WriteString("xmas_c15_buildbase1"); //Building 2 
            base.WriteString("deal_10bronzecoins"); //10 Credits 
            base.WriteString("clothing_longscarf"); //Clothes Scarf 
            base.WriteString("deal_10bronzecoins"); //10 Credits 
            base.WriteString("deal_10bronzecoins"); //10 Credits 
            base.WriteString("BADGE"); // 
            base.WriteString("deal_10bronzecoins"); //10 Credits  
        }
    }
}